<template>
  <div class="rooms-list">
    <room v-for="room in rooms" :key="room.id"
          class="rooms-list__item"
          :room="room"
    />
  </div>
</template>

<script>
  import Room from '../components/Room';

  export default {
    name: 'RoomsList',
    props: {
      rooms: {
        type: Array,
        required: true
      }
    },
    components: {
      Room
    }
  }
</script>

<style scoped lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .rooms-list {
    display: flex;
    flex-flow: wrap;

    margin: rem(-25) rem(-14);

    @media (max-width: $mobile-width) {
      margin: rem(-18) 0;
    }

    &__item {
      flex: 0 0 calc(33.33% - 1.75rem);
      width: calc(33.33% - 1.75rem);
      margin: rem(25) rem(14);

      @media (max-width: $mobile-width) {
        flex: 0 0 100%;
        width: 100%;
        margin: rem(18) 0;
      }
    }
  }

</style>
